Subject: Re: [Pals] PALS WG Last Call for draft-ietf-pals-mpls-tp-mac-wd-00

From: "Andrew G. Malis" <[email-masked]>
Date: Wed, 6 May 2015 09:23:59 -0400

I've reviewed the draft, and I have some comments on the IANA
considerations. These should be treated the same as any other last call
comments.

In Section 6, the IANA "Pseudowire Associated Channel Types" registry has
been renamed the "MPLS Generalized Associated Channel (G-ACh) Types
(including Pseudowire Associated Channel Types)" registry.

You should replace "recommended value 0x0028" with "requested value 0x0028".

Through the draft, you refer to the "MAC Withdraw OAM Message". However, in
Section 6, you refer to it as the "Pseudowire MAC Withdraw OAM Channel".
You should change that to "MAC Withdraw OAM Message".

In the MAC Withdraw OAM Message, you include a "Sequence Number TLV" and in
Section 6, you define a new unnamed registry where "Sequence Number TLV" is
assigned value 0x0001, and that's the only value in this new registry.
However, RFC 7026 discourages the use of ACH TLVs. In addition, there is a
lot of work required to defining a new registry above and beyond what is
currently in your draft, and this is all unnecessary because you only have
one value defined. So I would highly recommend removing the "Sequence
Number TLV" from the MAC Withdraw OAM Message, and simplify it to something
like this:

       0                   1                   2                   3
       0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
      |0 0 0 1|Version|   Reserved    |0xZZ MAC Withdraw OAM Message  |
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
      |            Reserved           |  TLV Length   |A|R| Flags     |
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
      |                        Sequence Number                        |
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
      |                                                               |
      |                         MAC List TLV                          |
      ~                MAC Flush Parameter TLV (optional)             ~
      |                                                               |
      |                                                               |
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

I do realize that the MAC List and MAC Flush Parameter TLVs are still
present, but they are justified because they carry the same information
that is carried by LDP signaling in RFC 4762. This is very similar to the
PW OAM Message in RFC 6478.

For those of you that haven't yet reviewed this draft, I will be ending the
WG last call tomorrow, you can still get in comments today.

Thanks,
Andy

On Tue, Apr 21, 2015 at 5:51 PM, Andrew G. Malis <[email-masked]> wrote:

> This beings a two-week WG LC for
> http://tools.ietf.org/html/draft-ietf-pals-mpls-tp-mac-wd-00, to complete
> on May 6. Please send your comments on the draft to the PALS WG (just
> replying to this email would be best).
>
> Thanks,
> Andy
>
>

---

From: "Andrew G. Malis" <[email-masked]>
Date: Thu, 7 May 2015 13:04:21 -0400

This ends the WG last call for draft-ietf-pals-mpls-tp-mac-wd. Even though
we only had one set of last call comments, the draft has been sufficiently
discussed previously both in meetings and via email that once updated to
address the comments, is ready for submission to the IESG. I'll await a new
revision, and then do the IESG submission.

Cheers,
Andy

On Wed, May 6, 2015 at 9:23 AM, Andrew G. Malis <[email-masked]> wrote:

> Through the draft, you refer to the "MAC Withdraw OAM Message". However,
> in Section 6, you refer to it as the "Pseudowire MAC Withdraw OAM
> Channel". You should change that to "MAC Withdraw OAM Message".
>
> In the MAC Withdraw OAM Message, you include a "Sequence Number TLV" and
> in Section 6, you define a new unnamed registry where "Sequence Number
> TLV" is assigned value 0x0001, and that's the only value in this new
> registry. However, RFC 7026 discourages the use of ACH TLVs. In addition,
> there is a lot of work required to defining a new registry above and beyond
> what is currently in your draft, and this is all unnecessary because you
> only have one value defined. So I would highly recommend removing the "Sequence
> Number TLV" from the MAC Withdraw OAM Message, and simplify it to
> something like this:
>
>
>        0                   1                   2                   3
> For those of you that haven't yet reviewed this draft, I will be ending
> the WG last call tomorrow, you can still get in comments today.
>
> Thanks,
> Andy
>
>
>
>> http://tools.ietf.org/html/draft-ietf-pals-mpls-tp-mac-wd-00, to
>> complete on May 6. Please send your comments on the draft to the PALS WG
>> (just replying to this email would be best).
>>
>> Thanks,
>> Andy
>>
>>
>

---

From: "Shah, Himanshu" <[email-masked]>
Date: Thu, 14 May 2015 15:42:35 -0400

Thanks for your review and feedback.
Some responses in line.
Apologies for delayed response..
Thanks,
himanshu

From: Pals [mailto:[email-masked]] On Behalf Of Andrew G. Malis
Sent: Wednesday, May 06, 2015 9:24 AM
To: [email-masked]
Subject: Re: [Pals] PALS WG Last Call for draft-ietf-pals-mpls-tp-mac-wd-00

I've reviewed the draft, and I have some comments on the IANA considerations. These should be treated the same as any other last call comments.

In Section 6, the IANA "Pseudowire Associated Channel Types" registry has been renamed the "MPLS Generalized Associated Channel (G-ACh) Types (including Pseudowire Associated Channel Types)" registry.

Through the draft, you refer to the "MAC Withdraw OAM Message". However, in Section 6, you refer to it as the "Pseudowire MAC Withdraw OAM Channel". You should change that to "MAC Withdraw OAM Message".

[himanshu>] Will update.
In the MAC Withdraw OAM Message, you include a "Sequence Number TLV" and in Section 6, you define a new unnamed registry where "Sequence Number TLV" is assigned value 0x0001, and that's the only value in this new registry. However, RFC 7026 discourages the use of ACH TLVs. In addition, there is a lot of work required to defining a new registry above and beyond what is currently in your draft, and this is all unnecessary because you only have one value defined. So I would highly recommend removing the "Sequence Number TLV" from the MAC Withdraw OAM Message, and simplify it to something like this:

       0                   1                   2                   3

      |                        Sequence Number                        |

      |                                                               |

      |                         MAC List TLV                          |

      |                                                               |

      |                                                               |

[himanshu>]  This was discussed with Stewart as well. Including the text below from that thread.
[himanshu>] There are a couple of implementations that have used the TLV format for the sequence number and is deployed at a customer site.
So changing the format would create more headache.

Since keeping the TLV or not – is not central to the core functionality of the draft, I suggest that we leave the TLV format unchanged.

This was acceptable to Stewart. Please see below text .

   Once a receiver

   successfully remove MAC address(es) in response to a MAC address

   withdraw OAM message, it should not unnecessarily remove MAC

   address(es) upon getting refresh message(s).  To facilitate this, the

   proposed mechanism uses sequence number, and defines a new TLV to

   carry the sequence number.

- I think that using s/n is fine, but you do not need a TLV you

can make it part of the MAC Withdraw OAM Message since it is

always present. The way that you have the message designed below

you always send 64 bits to send 32 bits.

   The format of the MAC address withdraw OAM message is shown in

   Figure 1.  The PW OAM message header is exactly the same as what is

   defined in [RFC6478].  Since the MAC withdrawal PW OAM message is not

   refreshed forever.  A MAC address withdraw OAM message MUST contain a

   "Sequence Number TLV" otherwise the entire message is dropped.

- Suggest you just make it part of the non-TLV message.

[himanshu>] while this is a good suggestion, I don’t see any issue on keeping it as a separate

TLV.
OK.

----

I do realize that the MAC List and MAC Flush Parameter TLVs are still present, but they are justified because they carry the same information that is carried by LDP signaling in RFC 4762. This is very similar to the PW OAM Message in RFC 6478.

For those of you that haven't yet reviewed this draft, I will be ending the WG last call tomorrow, you can still get in comments today.

Thanks,
Andy

On Tue, Apr 21, 2015 at 5:51 PM, Andrew G. Malis <[email-masked]<mailto:[email-masked]>> wrote:
This beings a two-week WG LC for http://tools.ietf.org/html/draft-ietf-pals-mpls-tp-mac-wd-00, to complete on May 6. Please send your comments on the draft to the PALS WG (just replying to this email would be best).

Thanks,
Andy

---

From: "Shah, Himanshu" <[email-masked]>
Date: Thu, 14 May 2015 15:44:02 -0400

I will make the relevant changes and issue a new draft.
Please refer to my earlier mail on difficulty of changing the seq# TLV to se# field.

Thanks,
himanshu

From: Pals [mailto:[email-masked]] On Behalf Of Andrew G. Malis
Sent: Thursday, May 07, 2015 1:04 PM
To: [email-masked]
Cc: [email-masked]
Subject: Re: [Pals] PALS WG Last Call for draft-ietf-pals-mpls-tp-mac-wd-00

This ends the WG last call for draft-ietf-pals-mpls-tp-mac-wd. Even though we only had one set of last call comments, the draft has been sufficiently discussed previously both in meetings and via email that once updated to address the comments, is ready for submission to the IESG. I'll await a new revision, and then do the IESG submission.

Cheers,
Andy

On Wed, May 6, 2015 at 9:23 AM, Andrew G. Malis <[email-masked]<mailto:[email-masked]>> wrote:
I've reviewed the draft, and I have some comments on the IANA considerations. These should be treated the same as any other last call comments.

       0                   1                   2                   3

      |                        Sequence Number                        |

      |                                                               |

      |                         MAC List TLV                          |

      |                                                               |

      |                                                               |

Thanks,
Andy

Thanks,
Andy

---

From: "Andrew G. Malis" <[email-masked]>
Date: Thu, 14 May 2015 17:59:56 -0400

Himanshu,

If you are insistent in keeping the new TLV and creating a new registry,
note that the current text in the second paragraph of section 6 doesn't
conform to RFC 5226. Please read that RFC, particularly section 4, and
rewrite your section 6 so that your new registry conforms with IANA
requirements. As some general examples, you can check out section 8.4 of
RFC 6427 and section 14.5 of RFC 6073, among others.

You should also make sure that the first paragraph conforms with section 5
of RFC 5226.

Thanks,
Andy

On Thu, May 14, 2015 at 3:44 PM, Shah, Himanshu <[email-masked]> wrote:

> *I will make the relevant changes and issue a new draft.*
>
> *Please refer to my earlier mail on difficulty of changing the seq# TLV to
> se# field.*
>
>
>
> *Thanks,*
>
> *himanshu*
>
>
>
> *From:* Pals [mailto:[email-masked]] *On Behalf Of *Andrew G. Malis
> *Sent:* Thursday, May 07, 2015 1:04 PM
> *To:* [email-masked]
> *Cc:* [email-masked]
> *Subject:* Re: [Pals] PALS WG Last Call for
> draft-ietf-pals-mpls-tp-mac-wd-00
>
>
>
> in Section 6, you refer to it as the "Pseudowire MAC Withdraw OAM Channel".
> in Section 6, you define a new unnamed registry where "Sequence Number TLV"
> is assigned value 0x0001, and that's the only value in this new registry.
> currently in your draft, and this is all unnecessary because you only
> have one value defined. So I would highly recommend removing the "Sequence